import org.junit.Rule;
import org.junit.Test;
import org.junit.contrib.java.lang.system.StandardOutputStreamLog;
import org.junit.rules.Timeout;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.lang.reflect.Method;

import static org.junit.Assert.assertEquals;

public class Aufgabe2Test {

    @Rule
    public final StandardOutputStreamLog log = new StandardOutputStreamLog();

    @Rule
    public Timeout globalTimeout = new Timeout(100);

    @Test
    public void testOutput() {
        System.out.println();
        System.out.println("Test-Output zu Aufgabe2:");

        String[] testData = new String[]{"2 4 6 -1", "a 1 -2", "-3"};
        String[] testValues = new String[]{"", "Test-Output zu Aufgabe2:", "11", "-3"};
        StringBuilder testString = new StringBuilder();
        for(String i: testValues) {
            testString.append(i).append(System.lineSeparator());
        }
        InputStream stdin = System.in;
        for(String d: testData) {
            System.setIn(new ByteArrayInputStream(d.getBytes()));
            Aufgabe2.main(new String[]{});
        }
        System.setIn(stdin);
        assertEquals(testString.toString(), log.getLog());
    }
}
