/**********************************************************************************************************************

    AUFGABENBLATT 2 - Allgemeine Informationen

    Das Projekt Aufgabenblatt2 besteht aus fünf Aufgaben in den Klassen Aufgabe1 bis Aufgabe5, die Sie erweitern und in
    den Übungen vom 13.4. bis 17.4. präsentiern können müssen. Lassen Sie alle anderen Klassen des Projekts unverändert.

    Achten Sie bei der Implementierung von Aufgabe1 bis Aufgabe5 auf folgende Punkte:

    - Ihr Programm sollte den dazugehörenden Test (z.B. enthält Aufgabe1Test den Test zu Aufgabe1) bestehen.
    - Sie dürfen den Test zu einer Aufgabe nicht (!) verändern, da Sie sonst beim Übersetzen falsche Meldungen bekommen.
    - Bei jeder Aufgabe finden Sie Zusatzfragen. Diese Zusatzfragen beziehen sich thematisch auf das erstellte Programm.
      Sie müssen diese Zusatzfragen in der Übung beantworten können.
    - Verwenden Sie zur Ausgabe immer System.out.println().
    - Verwenden Sie keine speziellen Aufrufe aus der Java-API, die die Aufgaben vereinfachen würden.

    Abgabe:  Die Abgabe muss bis Sonntag, den 12.04. um 13:59 erfolgen. Alle Änderungen am Projekt in der
    Übungsumgebung, die bis zu diesem Zeitpunkt von Ihnen vorgenommen wurden, werden als Abgabe betrachtet.

***********************************************************************************************************************/

/*
    Aufgabe1) Typen und Typumwandlungen

    Erweitern Sie die main-Methode um folgende Funktionalität:
    - Deklarieren und initialisieren Sie je eine lokale Variable mit den Werten
          0xf, 020, 17L, 44.4, 5.55e1, 66e-1f, 7.7f, 'A'
      und sorgen Sie dafür, dass die Variablen die gleichen Typen haben wie diese Literale.
    - Berechnen Sie die Summe aller Werte in diesen Variablen und wandeln Sie das Ergebnis am Ende der Berechnung in
      eine ganze Zahl um. Geben Sie die ganzzahlige Summe mittels System.out.println(...) aus.
    - Berechnen Sie das ganzzahlige Produkt aller Werte in diesen Variablen, wobei Nachkommastellen so früh wie möglich
      abgeschnitten werden. Vermeiden Sie einen Überlauf. Geben Sie das Produkt mittels System.out.println(...) aus.
    - Erzeugen Sie durch Verwendung des Operators + einen String, der die Werte in den Variablen in der oben gegebenen
      Reihenfolge enthält, jeweils getrennt durch ", ". Geben Sie den String mittels System.out.println(...) aus.
    - Wandeln Sie jeden Wert in den Variablen in einen Wert vom Typ byte um und berechnen Sie die Summe der
      umgewandelten Werte. Geben Sie die Summe mittels System.out.println(...) aus.

    Zusatzfragen:
    1. Wodurch erklären sich die Unterschiede zwischen den beiden berechneten Summen?
    2. Warum ist der aus den Variablen erzeugte String nicht gleich der oben vorgegebenen Zeile mit Literalen?
    3. Von welchem Typ ist der zuletzt ausgegebene Wert?
    4. Wann wird ein Wert automatisch in einen Wert eines anderen Typs umgewandelt, wann benötigt man ein Cast?
    5. Wieviel Speicher belegt ein Wert eines elementaren Typs mindestens (je nach Typ)?
    6. Welchen Wertebereich kann ein elementarer Typ abdecken (je nach Typ)?
*/
public class Aufgabe1 {

    public static void main(String[] args) {

    }
}
